Bug 1474166 - [abrt] cinnamon-settings-daemon: PK11_FreeSlot(): csd-smartcard killed by signal 11
Summary: [abrt] cinnamon-settings-daemon: PK11_FreeSlot(): csd-smartcard killed by sig...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon-settings-daemon   
(Show other bugs)
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1ada400f68de7b276b82e89d158...
Keywords:
: 1473881 1475082 1492508 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-24 03:36 UTC by Dmitry Dyachenko
Modified: 2018-03-11 22:18 UTC (History)
7 users (show)

Fixed In Version: cinnamon-settings-daemon-3.6.2-1.el7 cinnamon-settings-daemon-3.6.2-1.fc26 cinnamon-settings-daemon-3.6.2-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-11 19:42:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (14.44 KB, text/plain)
2017-07-24 03:36 UTC, Dmitry Dyachenko
no flags Details
File: cgroup (195 bytes, text/plain)
2017-07-24 03:36 UTC, Dmitry Dyachenko
no flags Details
File: core_backtrace (7.17 KB, text/plain)
2017-07-24 03:36 UTC, Dmitry Dyachenko
no flags Details
File: cpuinfo (1.34 KB, text/plain)
2017-07-24 03:36 UTC, Dmitry Dyachenko
no flags Details
File: dso_list (9.65 KB, text/plain)
2017-07-24 03:36 UTC, Dmitry Dyachenko
no flags Details
File: environ (1.59 KB, text/plain)
2017-07-24 03:36 UTC, Dmitry Dyachenko
no flags Details
File: exploitable (82 bytes, text/plain)
2017-07-24 03:36 UTC, Dmitry Dyachenko
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-24 03:36 UTC, Dmitry Dyachenko
no flags Details
File: maps (40.67 KB, text/plain)
2017-07-24 03:36 UTC, Dmitry Dyachenko
no flags Details
File: open_fds (1009 bytes, text/plain)
2017-07-24 03:36 UTC, Dmitry Dyachenko
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-07-24 03:36 UTC, Dmitry Dyachenko
no flags Details
File: var_log_messages (315 bytes, text/plain)
2017-07-24 03:36 UTC, Dmitry Dyachenko
no flags Details

Description Dmitry Dyachenko 2017-07-24 03:36:17 UTC
Version-Release number of selected component:
cinnamon-settings-daemon-3.4.2-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/csd-smartcard
crash_function: PK11_FreeSlot
executable:     /usr/libexec/csd-smartcard
journald_cursor: s=291df698726c481892099a59504cbdbe;i=3d06e;b=667733a24bcb4664bd0478ce95952037;m=2ad1a45a;t=55507d437a40d;x=4dd5a4df210bb021
kernel:         4.11.11-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 PK11_FreeSlot at pk11slot.c:469
 #1 csd_smartcard_manager_worker_watch_for_and_process_event at csd-smartcard-manager.c:1373
 #2 csd_smartcard_manager_worker_run at csd-smartcard-manager.c:1387
 #3 g_thread_proxy at gthread.c:784

Comment 1 Dmitry Dyachenko 2017-07-24 03:36:23 UTC
Created attachment 1303410 [details]
File: backtrace

Comment 2 Dmitry Dyachenko 2017-07-24 03:36:24 UTC
Created attachment 1303411 [details]
File: cgroup

Comment 3 Dmitry Dyachenko 2017-07-24 03:36:25 UTC
Created attachment 1303412 [details]
File: core_backtrace

Comment 4 Dmitry Dyachenko 2017-07-24 03:36:27 UTC
Created attachment 1303413 [details]
File: cpuinfo

Comment 5 Dmitry Dyachenko 2017-07-24 03:36:29 UTC
Created attachment 1303414 [details]
File: dso_list

Comment 6 Dmitry Dyachenko 2017-07-24 03:36:30 UTC
Created attachment 1303415 [details]
File: environ

Comment 7 Dmitry Dyachenko 2017-07-24 03:36:31 UTC
Created attachment 1303416 [details]
File: exploitable

Comment 8 Dmitry Dyachenko 2017-07-24 03:36:33 UTC
Created attachment 1303417 [details]
File: limits

Comment 9 Dmitry Dyachenko 2017-07-24 03:36:35 UTC
Created attachment 1303418 [details]
File: maps

Comment 10 Dmitry Dyachenko 2017-07-24 03:36:36 UTC
Created attachment 1303419 [details]
File: open_fds

Comment 11 Dmitry Dyachenko 2017-07-24 03:36:37 UTC
Created attachment 1303420 [details]
File: proc_pid_status

Comment 12 Dmitry Dyachenko 2017-07-24 03:36:38 UTC
Created attachment 1303421 [details]
File: var_log_messages

Comment 13 leigh scott 2017-07-24 07:06:26 UTC
*** Bug 1473881 has been marked as a duplicate of this bug. ***

Comment 14 flashl 2017-07-26 01:31:24 UTC
*** Bug 1475082 has been marked as a duplicate of this bug. ***

Comment 15 Dmitry Dyachenko 2017-08-02 04:51:58 UTC
Similar problem has been detected:

# service pcscd restart
Redirecting to /bin/systemctl restart pcscd.service
# 

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/csd-smartcard
crash_function: PK11_FreeSlot
executable:     /usr/libexec/csd-smartcard
journald_cursor: s=291df698726c481892099a59504cbdbe;i=4f96b;b=5c822a2eb6fa40eca175716bbe2e2dd6;m=14a271e363;t=555bdf3963229;x=ca3bfe4ba98f20d9
kernel:         4.11.11-300.fc26.x86_64
package:        cinnamon-settings-daemon-3.4.2-1.fc26
reason:         csd-smartcard killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 flashl 2017-09-18 00:29:56 UTC
*** Bug 1492508 has been marked as a duplicate of this bug. ***

Comment 17 Dmitry Dyachenko 2017-10-29 07:20:57 UTC
Similar problem has been detected:

service pcscd restart

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/csd-smartcard
crash_function: PK11_FreeSlot
executable:     /usr/libexec/csd-smartcard
journald_cursor: s=291df698726c481892099a59504cbdbe;i=146b46;b=c793b8a8187b4ea188e795431c744738;m=342a26c3;t=55caa2d9a2df3;x=d20ce5f45ee1d8ea
kernel:         4.13.9-200.fc26.x86_64
package:        cinnamon-settings-daemon-3.4.4-3.fc26
reason:         csd-smartcard killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 Fedora Update System 2018-02-15 18:28:32 UTC
cinnamon-settings-daemon-3.6.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9c8a1d557f

Comment 19 Fedora Update System 2018-02-15 18:28:50 UTC
cinnamon-settings-daemon-3.6.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ced92c2eac

Comment 20 Fedora Update System 2018-02-15 18:29:03 UTC
cinnamon-settings-daemon-3.6.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-28f1c4d089

Comment 21 Fedora Update System 2018-02-16 15:42:02 UTC
cinnamon-settings-daemon-3.6.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-28f1c4d089

Comment 22 Fedora Update System 2018-02-16 15:58:08 UTC
cinnamon-settings-daemon-3.6.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ced92c2eac

Comment 23 Fedora Update System 2018-02-16 16:27:41 UTC
cinnamon-settings-daemon-3.6.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9c8a1d557f

Comment 24 Fedora Update System 2018-03-11 19:42:31 UTC
cinnamon-settings-daemon-3.6.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2018-03-11 19:58:35 UTC
cinnamon-settings-daemon-3.6.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2018-03-11 22:18:17 UTC
cinnamon-settings-daemon-3.6.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.